Package com.google.javascript.jscomp.parsing

# Class JsDocInfoParser

java.lang.Object
com.google.javascript.jscomp.parsing.JsDocInfoParser

public final class JsDocInfoParser extends Object
A parser for JSDoc comments.

## Method Summary

Modifier and Type
Method
Description
`JSDocInfo`
`parseInlineTypeDoc()`
Parse a description as a `@type`.
`static Node`
`parseTypeString(String typeString)`
Parses a string containing a JsDoc type declaration, returning the type if the parsing succeeded or `null` if it failed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### parseInlineTypeDoc

public JSDocInfo parseInlineTypeDoc()
Parse a description as a `@type`.

### parseTypeString

public static Node parseTypeString(String typeString)
Parses a string containing a JsDoc type declaration, returning the type if the parsing succeeded or `null` if it failed.